<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			      xmlns:fo="http://www.w3.org/1999/XSL/Format"
			      version="1.0">

<xsl:template match="/">


<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <fo:layout-master-set>
    <!-- layout information -->
    <fo:simple-page-master master-name="simple"
                  page-height="11in" 
                  page-width="8.5in"
                  margin-top="1in" 
                  margin-bottom="2in" 
                  margin-left="1.25in" 
                  margin-right="1.25in">
      <fo:region-body margin-top="0.5in"/>
      <fo:region-before extent="3cm"/>
      <fo:region-after extent="1.5cm"/>
    </fo:simple-page-master>
  </fo:layout-master-set>
  <!-- end: defines page layout -->

  <fo:page-sequence master-name="simple">

    <!-- header -->
    <fo:static-content flow-name="xsl-region-before">
      <fo:block text-align="end" 
            font-size="10pt" 
            font-family="serif" 
            line-height="14pt" >
        Ez Books Catalog - page <fo:page-number/>
      </fo:block>
    </fo:static-content> 

    <!-- footer -->
    <fo:static-content flow-name="xsl-region-after">
      <fo:block text-align="center" 
            font-size="10pt" 
            font-family="serif" 
            line-height="14pt" >
        Visit our website http://www.ezbooks.web
      </fo:block>
    </fo:static-content> 


    <fo:flow flow-name="xsl-region-body">

      <!-- this defines a level 1 heading with orange background -->
      <fo:block font-size="18pt" 
            font-family="sans-serif" 
            line-height="24pt"
            space-after.optimum="15pt"
            background-color="orange"
            color="white"
            text-align="center"
            padding-top="3pt">
			Ez Books Online
      </fo:block>

      <!-- Paragraph that contains info about the company -->
      <fo:block font-size="12pt" 
                font-family="sans-serif" 
                line-height="15pt"
                space-after.optimum="14pt"
                text-align="justify">
			Welcome to Ez Books Online, the world's smallest online book store.  Our company's mission is to sell books on Java, Thrillers and Romance.  
			We have something for everyone...so we think.  Feel free to browse our catalog and if you find a book of interest then send us an e-mail.  Thanks for visiting!		
	</fo:block>	

	<!-- Create a new page for each book in the book list -->
	<xsl:for-each select="booklist/book" >
		<fo:block break-before="page">
			Author: <xsl:value-of select="author" />
		</fo:block>

		<fo:block>
			Title: <xsl:value-of select="title" />
		</fo:block>

		<fo:block>
			Book Review....blah blah blah
		</fo:block>
	</xsl:for-each>	
	
    </fo:flow> 
  </fo:page-sequence>
</fo:root>

</xsl:template>
</xsl:stylesheet>
